# $Revision: 1.50 $, $Date: 2012/01/14 20:26:25 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Lingua
%define		pnam	EN-NameParse
Summary:	Lingua::EN::NameParse perl module
Summary(pl.UTF-8):	Moduł perla Lingua::EN::NameParse
Name:		perl-Lingua-EN-NameParse
Version:	1.30
Release:	1
License:	Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	2fb117124b587063fd1ca5de7d92bef5
Patch0:		%{name}-paths.patch
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Parse-RecDescent
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Lingua::EN::NameParse - routines for manipulating a persons name.

%description -l pl.UTF-8
Lingua::EN::NameParse - umożliwia operacje na imionach osób.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%{__perl} -i -pe 's,\r,,g' examples/demo.pl
%patch0 -p0

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a examples $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{perl_vendorlib}/%{pdir}/EN/*.pm
%{perl_vendorlib}/%{pdir}/EN/NameParse
%{_mandir}/man3/*
%{_examplesdir}/%{name}-%{version}

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Lingua-EN-NameParse.spec,v $
Revision 1.50  2012/01/14 20:26:25  zbyniu
- up to 1.30

Revision 1.49  2009/10/21 12:42:18  pawelz
- kill dos2unix build dependency

Revision 1.48  2009/10/21 11:18:18  amateja
- dos2unix conversion

Revision 1.47  2009/10/20 12:48:46  amateja
- updated to 1.24

Revision 1.46  2008/07/27 22:39:22  arekm
- release 2

Revision 1.45  2007-02-13 07:47:12  glen
- tabs in preamble

Revision 1.44  2007/02/12 00:49:38  baggins
- converted to UTF-8

Revision 1.43  2006/08/08 14:38:10  sparky
- mass attack: s/%patch /%patch0 / -- usefull for overloaded %patch macro

Revision 1.42  2004/11/03 22:30:29  paladine
- formatting

Revision 1.41  2004/05/06 18:20:28  ankry
- fixed perl-devel BR

Revision 1.40  2004/04/25 07:52:07  ankry
- tests added

Revision 1.39  2004/04/22 15:01:17  ankry
- license fixes and unification

Revision 1.38  2004/03/06 19:35:21  adamg
- updated to 1.20

Revision 1.37  2004/01/24 22:25:37  arekm
- autoupdated to 1.19

Revision 1.36  2003/09/09 10:24:40  ankry
- spaces -> tab

Revision 1.35  2003/08/18 08:08:55  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.34  2003/05/28 13:00:45  malekith
- massive attack: source-md5

Revision 1.33  2003/05/25 06:24:43  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.32  2003/04/11 18:59:24  radek
- BR: perl-devel; do not BR: perl

Revision 1.31  2003/03/01 19:37:35  radek
- should be ready for perl-5.8.0; release++

Revision 1.30  2003/02/25 00:40:14  radek
- use the __perl macro

Revision 1.29  2003/02/18 15:35:20  ankry
- massive attack: change CPAN URLs

Revision 1.28  2002/07/11 13:00:58  qboosh
- new %%doc, cosmetics

Revision 1.27  2002/07/11 08:01:00  depesz
- new version; should work; STBR

Revision 1.26  2002/07/10 08:47:51  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.25  2002/05/11 14:28:09  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.24  2002/02/25 10:32:36  depesz
cleanup; revision++

Revision 1.23  2002/02/22 23:29:29  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.22  2002/02/13 14:17:50  depesz
automatic: Source location unfied, Relase Up

Revision 1.21  2002/02/10 15:28:22  depesz
adapterized

Revision 1.20  2002/01/18 02:14:20  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.19  2001/10/01 09:50:37  mis
- autoupdated to 1.16

Revision 1.18  2001/08/02 08:29:54  mis
- autoupdated to 1.15

Revision 1.17  2001/07/25 09:09:08  mis
- autoupdated to 1.14

Revision 1.16  2001/05/22 16:54:53  mis
- buildarch noarch
- release++

Revision 1.15  2001/04/30 15:02:30  baggins
- updated to 1.13
- fixed %%files

Revision 1.14  2001/04/17 12:11:33  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.13  2001/04/14 18:00:08  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.12  2001/04/04 15:38:05  mis
- autoupdated to 1.12

Revision 1.11  2001/02/28 19:04:12  mis
- updated (by autoup) to 1.11

Revision 1.10  2001/02/19 14:16:18  mis
- updated (by autoup) to 1.05

Revision 1.9  2001/01/11 01:43:26  kloczek
- release 2: rebuild agaunst perl 5.6 and use rpm automation.

Revision 1.8  2000/06/09 07:54:54  kloczek
- more %%{__make} macros.

Revision 1.7  2000/06/09 07:23:37  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/05/21 00:14:06  kloczek
- spec adapterized.

Revision 1.5  2000/04/01 11:15:19  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:54:54  baggins
- translated kloczkish into english

Revision 1.3  2000/02/17 23:58:05  pius
- updated to 1.00

Revision 1.2  1999/11/05 19:46:58  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/20 19:46:44  pius
- initial release
